import {Image, View} from "@tarojs/components";
import CategoryTabs from "@/pages/business/history/components/CategoryTabs";
// import {useState} from "react";
import styles from './history.module.scss'
import Taro from "@tarojs/taro";
import {userApi} from "@/api";
import {useState} from "react";
import {formatMinute} from "@/utils/time";
import Empty from "@/components/empty/empty";

const History = () => {
  const [data, setData] = useState<userRecord[]>([])

  async function getData(id: number) {
    const res = await userApi.record(id)
    setData(Object.values(res))
  }

  function jump(course_id: number, name: string) {
    Taro.preload({course_id, name})
    Taro.navigateTo({url: `/pages/business/curHistory/curHistory`})
  }

  return (
    <View>
      <CategoryTabs changeTabs={getData}/>

      <View className='mt-3'>
        {data.length ? data.map(d => <View className={styles.category}
                                           onClick={() => jump(d.course_id, d.course.title)}>
          <View className={styles.thumb}>
            <Image src={d.course.thumb}/>
            <View>共{d.total_hour_count}节/已学{d.finished_count}节</View>
          </View>
          <View className={styles.text}>
            <View>{d.course.title}</View>
            <View>观看{formatMinute(d.duration)}</View>
          </View>
        </View>) : <Empty name='无观看记录'/>}
      </View>
    </View>
  )
}

export default History
